[Patch] More network modes

Rating: 
5
Your rating: None Average: 5 (2 votes)

More network modes patch for SailfishOS 2.0.5 ONLY

Allow to select between Any, 4G Only, 4G + 3G, 3G only, 3G + 2G, 2G Only modes.

Donations are welcome =)

Screenshots: 
Application versions: 
AttachmentSizeDate
sailfishos-more-network-modes-1.17git36.1patch1-1.48.1.noarch.rpm15.45 KB28/11/2016 - 22:38
Changelog: 

Updated for SailfishOS 2.0.5 <- only this version is supported!

Comments

MoritzJT's picture

Sad that Jolla won't ever provide a configuration option that you could use to provoke a situation without coverage. This was the only way to ensure no GSM connectivity and during train rides it was really useful :)

DarkTuring's picture

Could you evaluate support fpr 2.1.0.9, seems like i cant and some others have reported their modem being stuck at 2G, even though with the same hardware and mobile data provider i used to be able to 4G/LTE.

coderus's picture

I'll do when i have enough time for this

malibu's picture

Hi Coderus. If we can buy your time, how much for updating and keeping updated ?

mercurio's picture

Thanks a lot, Coderus! :-)
It would be a major patch.
Good job!

 

mercurio

coderus's picture

You should never try old ofono with new releases.

DarkTuring's picture

ok thanks for letting me know ill remove the patches.

DarkTuring's picture

ok thanks for letting me know ill remove the patches.

peremen's picture

Just a suggestion, would it be possible to add a warning on "4G Only" mode that voice calls are not possible? Currently Sailfish OS and/or hardwares lack VoLTE support, and LTE does not support traditional circuit-switched voice calls "per specification". As a result, switching back to 3G/2G on voice calls are required, which is disabled by 4G Only mode.

coderus's picture

i am receiving calls in 4G mode with no problems, sorry

AnttiT's picture

Did you know, coderus, that this patch (or the ofono version, actually) has a pretty serious bug?
https://together.jolla.com/question/144696/cannot-receive-nor-make-calls...

coderus's picture

works for me.
you just dont use it if it is not working for you, because it is a free software :)

objectifnul's picture

Older version compatible with Taalojärvi removed?

coderus_ofono's picture

Removed, because you should not be able to install old version to 2.0.2

objectifnul's picture

Okay, but currently the official release is still 2.0.1.11 (Taalojärvi).

 

coderus's picture

EA is latest official releases for me

objectifnul's picture

Too many disappointments with early access OS releases in the past (Jolla is my default work phone).

coderus's picture

No any issues in EA for me for ages :)

objectifnul's picture

Anyway, making any app deliberately unavailable for users of an official OS release is beyond my understanding. Sorry if this sounds like a rant.

coderus's picture

EA releases are 100% official

malibu's picture

Really need it on 2.0.2.48 .. Jolla takes ages to find 4g in "prefear 4g"
This patch is amazing and so usefull. I hope you'll update it.

coderus_ofono's picture

updated for 2.0.2

oenone's picture

I have an issue with installing this patch:

Ofono is installed according to warehouse 1.17+git22+master.20160415161238.3.g8376174- . . . Ofono was installed via devel-su -> pkcon refresh -> pkcon install ofono -> reboot

Sailfish version is 2.0.1.11

Error is:

Transaction /903_ecadaccb

Status: dep-resolution-failed

Extra details: sailfishos-more-network-modes-0.0.6-3.armv7hl requires ofono = 1.16+git14-10.14.1.jolla, but this requirement cannot be provided.

Ofono was also downloaded from warehouse to the local device ofono-1.16git14-10.14.1.armv7hl.rpm (seemingly what is missing) and attempting to install it via pkcon install-local <local file path> lead to a dependancy requirement for ofono-configs, which I have no idea where to get. pkcon install ofono-configs doesn't lead to any available packages.

What else can I try doing to resolve this issue?

 

coderus's picture

i just need to update patched ofono version

dalas_revo's picture

hi coderus,
i have the very same problem. will it be complicated to update?
cheers!

coderus's picture

not complicated, but need somje amount of time. I did not updated anything to new releases yet.

luxbrux's picture

I found the same bug, after setting 3G + 4G and restarted, are no longer 'able to change the network settings, as described by babba2, if you uninstall the patch does not change the situation, I can not' to set the network ... thanks.

coderus's picture

in warehouse disable coderus_ofono repository

then in terminal do:

devel-su
pkcon refresh
pkcon install ofono

and reboot

luxbrux's picture

Unfortunately it does not work, dependency errors ...

coderus's picture

is it too hard to provide more details e.g. paste output from terminal? how do you think i should help you??

Pages